osl::enter_king::EnterKing Struct Reference

`#include <enterKing.h>`

## Static Public Member Functions

static bool | canDeclareWin (const NumEffectState &state)
template<Player P>
static bool | canDeclareWin (const NumEffectState &state)
static bool | canDeclareWin (const NumEffectState &state, int &drops)
template<Player P>
static bool | canDeclareWin (const NumEffectState &state, int &drops)

## Detailed Description

Definition at line 12 of file enterKing.h.

## Member Function Documentation

## canDeclareWin() [1/4]

template<osl::Player Turn>

bool osl::enter_king::EnterKing::canDeclareWin | ( | const NumEffectState & | state | ) |

static

Definition at line 15 of file enterKing.cc.

References osl::alt(), osl::BISHOP, osl::BLACK, osl::SimpleState::countPiecesOnStand(), osl::GOLD, osl::NumEffectState::hasEffectAt(), osl::isMajor(), osl::Piece::isOnBoardByOwner(), osl::SimpleState::kingSquare(), osl::KNIGHT, osl::LANCE, osl::PAWN, osl::SimpleState::pieceOnBoard(), osl::Piece::ptype(), osl::ROOK, osl::SILVER, osl::SimpleState::turn(), and osl::Square::y().

## canDeclareWin() [2/4]

template bool osl::enter_king::EnterKing::canDeclareWin< WHITE > | ( | const NumEffectState & | state | ) |

static

Definition at line 5 of file enterKing.cc.

References osl::BLACK, canDeclareWin(), and osl::SimpleState::turn().

Referenced by canDeclareWin(), and canDeclareWin().

## canDeclareWin() [3/4]

template<osl::Player Turn>

bool osl::enter_king::EnterKing::canDeclareWin | ( | const NumEffectState & | state,
|  | int & | drops )

static

Definition at line 79 of file enterKing.cc.

References osl::alt(), osl::BISHOP, osl::BLACK, osl::SimpleState::countPiecesOnStand(), osl::GOLD, osl::NumEffectState::hasEffectAt(), osl::isMajor(), osl::Piece::isOnBoardByOwner(), osl::SimpleState::kingSquare(), osl::KNIGHT, osl::LANCE, osl::PAWN, osl::SimpleState::pieceOnBoard(), osl::Piece::ptype(), osl::ROOK, osl::SILVER, osl::SimpleState::turn(), and osl::Square::y().

## canDeclareWin() [4/4]

template bool osl::enter_king::EnterKing::canDeclareWin< WHITE > | ( | const NumEffectState & | state,
|  | int & | drops )

static

Definition at line 69 of file enterKing.cc.

References osl::BLACK, canDeclareWin(), and osl::SimpleState::turn().

The documentation for this struct was generated from the following files:

- enterKing.h
- enterKing.cc